import os
from setuptools import setup

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "hdnavigator",
    version = "0.0.3",
    author = "Samuel Deleglise",
    author_email = "samuel.deleglise@gmail.com",
    description = ("""A package that helps navigate in the data directories on disk"""),
    license = "BSD",
    keywords = "",
    url = "https://testpypi.python.org/pypi",
    packages=['hdnavigator'],
    long_description=read('README'),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "License :: OSI Approved :: BSD License",
    ],
    install_requires=[
    'guiwrappersutils',
    'conf_xml'
],
    dependency_links = [
        "https://github.com/SamuelDeleglise/guiwrappersutils/tarball/master#egg=guiwrappersutils",
        "https://github.com/SamuelDeleglise/conf_xml/tarball/master#egg=conf_xml"
        ],
)